Bug 62281 - [Texmap][Qt] Accelerated animation is repeating as if its direction property is always 'alternate'.
Summary: [Texmap][Qt] Accelerated animation is repeating as if its direction property ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 47068
  Show dependency treegraph
 
Reported: 2011-06-08 07:32 PDT by Young Han Lee
Modified: 2011-06-13 08:36 PDT (History)
5 users (show)

See Also:


Attachments
to reproduce this bug. (840 bytes, text/html)
2011-06-08 07:35 PDT, Young Han Lee
no flags Details
Patch (6.68 KB, patch)
2011-06-08 07:49 PDT, Young Han Lee
no flags Details | Formatted Diff | Diff
Patch (6.58 KB, patch)
2011-06-08 17:30 PDT, Young Han Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Young Han Lee 2011-06-08 07:32:44 PDT
'-webkit-animation-direction: normal;' does not work at all.
Comment 1 Young Han Lee 2011-06-08 07:35:19 PDT
Created attachment 96420 [details]
to reproduce this bug.
Comment 2 Young Han Lee 2011-06-08 07:49:03 PDT
Created attachment 96421 [details]
Patch
Comment 3 Noam Rosenthal 2011-06-08 07:56:26 PDT
Good catch. Thanks!(In reply to comment #2)
> Created an attachment (id=96421) [details]
> Patch

Good catch. That "true" was probably a scaffold that slipped through when upstreaming.
Comment 4 Kenneth Rohde Christiansen 2011-06-08 14:49:41 PDT
Comment on attachment 96421 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96421&action=review

> LayoutTests/animations/animation-direction-normal.html:1
> +<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

No need to add all this, keep the tests to the bare minimum
Comment 5 Young Han Lee 2011-06-08 17:30:41 PDT
Created attachment 96513 [details]
Patch
Comment 6 Young Han Lee 2011-06-08 17:43:37 PDT
(In reply to comment #4)
> (From update of attachment 96421 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=96421&action=review
> 
> > LayoutTests/animations/animation-direction-normal.html:1
> > +<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
> 
> No need to add all this, keep the tests to the bare minimum

uploaded new patch in which the line is removed.
Comment 7 Young Han Lee 2011-06-10 18:02:57 PDT
Ping.
Comment 8 Kenneth Rohde Christiansen 2011-06-13 07:55:12 PDT
Comment on attachment 96513 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96513&action=review

> LayoutTests/animations/animation-direction-normal.html:1
> +<html lang="en">

no need to add the lang="en"

> LayoutTests/animations/animation-direction-normal.html:3
> +  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

Shouldnt be needed either
Comment 9 WebKit Review Bot 2011-06-13 08:36:24 PDT
Comment on attachment 96513 [details]
Patch

Clearing flags on attachment: 96513

Committed r88641: <http://trac.webkit.org/changeset/88641>
Comment 10 WebKit Review Bot 2011-06-13 08:36:29 PDT
All reviewed patches have been landed.  Closing bug.